@echo off
if "%1"=="-r" set run=true
if "%1"=="-R" set run=true
if "%run%"=="true" shift
if "%1"=="" goto NoCSource
if "%2"=="" goto NoFSource
if not exist %1.c goto ErrorCSource
if not exist %2.f90 goto ErrorFSource
if exist %1.o del %1.o
if exist %2.o del %2.o
if exist %1.exe del %1.exe
gfortran -c %2.f90
if not exist %2.o goto Exit
gcc -c %1.c
if not exist %1.o goto Exit
gcc %1.o %2.o -lgfortran -o %1.exe
if not exist %1.exe goto Exit
if "%run%"=="" goto Exit
%1.exe
goto Exit
:NoCSource
echo C source file argument missing!
goto Exit
:NoFSource
echo Fortran source file argument missing!
goto Exit
:ErrorCSource
echo C source file %1.c not found!
goto Exit
:ErrorFSource
echo Fortran source file %2.f90 not found!
:Exit
set run=
