module myModule4

  use iso_c_binding

  contains
  subroutine upper_case(str, str_upper, str_len) bind(C)
    character (C_CHAR), bind(C) :: str(*), str_upper(*)
    integer (C_INT), bind(C) :: str_len
    integer, parameter :: asc = ichar('A') - ichar('a')
    character :: ch
    integer :: i
    do i = 1, str_len
      ch = str(i)
      if (ch >= 'a' .and. ch <= 'z') ch = char(ichar(ch) + asc)
      str_upper(i) = ch
    enddo
  end subroutine

end module
