@echo off
if "%1"=="-r" set run=true
if "%1"=="-R" set run=true
if "%run%"=="true" shift
if "%1"=="" goto NoFSource
if "%2"=="" goto NoCSource
if not exist %1.f90 goto ErrorFSource
if not exist %2.c goto ErrorCSource
if exist %1.o del %1.o
if exist %2.o del %2.o
if exist %1.exe del %1.exe
gcc -c -fno-leading-underscore %2.c
if not exist %2.o goto Exit
gfortran -c %1.f90
if not exist %1.o goto Exit
gfortran %1.o %2.o -o %1.exe
if not exist %1.exe goto Exit
if "%run%"=="" goto Exit
%1.exe
goto Exit
:NoFSource
echo Fortran source file argument missing!
goto Exit
:NoCSource
echo C source file argument missing!
goto Exit
:ErrorFSource
echo Fortran source file %1.f90 not found!
goto Exit
:ErrorCSource
echo C source file %2.c not found!
:Exit
set run=
